> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/e-stamping/stamp-duty-calculator.md).

# Stamp Duty Calculator

## POST /api/Public/StampDutyCalculator

> Stamp duty calculator

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"StampDutyCalculator"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.EtampingPaymentInfo":{"type":"object","properties":{"considerationPirce":{"type":"string","nullable":true},"articleCode":{"type":"string","nullable":true},"stateCode":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/StampDutyCalculator":{"post":{"tags":["StampDutyCalculator"],"parameters":[{"name":"AppName","in":"header","schema":{"type":"string"}},{"name":"SecretKey","in":"header","schema":{"type":"string"}},{"name":"UserName","in":"header","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.EtampingPaymentInfo"}}}},"responses":{"200":{"description":"OK"}},"summary":"Stamp duty calculator","operationId":"post_StampDutyCalculator"}}}}
```
